extends CharacterBody3D

@onready var weapon1 = $"Skeleton/BoneAttachment/Rifle1"
@onready var weapon2 = $"Skeleton/BoneAttachment/Rifle2"

var is_weapon1 := true

func change_wep():
    weapon1.hide()
    weapon2.hide()

    is_weapon1 = !is_weapon1

    var wep
    if is_weapon1:
        wep = weapon1
    else:
        wep = weapon2

    wep.show()
    $Skeleton/SkeletonIK.set_target_node(wep.get_handle().get_path())
    print("changed")

func _ready():
    change_wep()

func _process(delta):
    if Input.is_action_just_pressed("change"):
        change_wep()
